# Uses of Class
ch.qos.logback.core.pattern.FormatInfo

Packages that use FormatInfo
Package
Description
ch.qos.logback.core.pattern
Contains the base classes used by PatternLayout.
ch.qos.logback.core.pattern.parser

## Uses of FormatInfo in ch.qos.logback.core.pattern

Methods in ch.qos.logback.core.pattern that return FormatInfo
Modifier and Type
Method
Description
`final FormatInfo`
FormattingConverter.`getFormattingInfo()`
`static FormatInfo`
FormatInfo.`valueOf(String str)`
This method is used to parse a string such as "5", ".7", "5.7" or "-5.7" into a FormatInfo.
Methods in ch.qos.logback.core.pattern with parameters of type FormatInfo
Modifier and Type
Method
Description
`final void`
FormattingConverter.`setFormattingInfo(FormatInfo formattingInfo)`

## Uses of FormatInfo in ch.qos.logback.core.pattern.parser

Methods in ch.qos.logback.core.pattern.parser that return FormatInfo
Modifier and Type
Method
Description
`FormatInfo`
FormattingNode.`getFormatInfo()`
Methods in ch.qos.logback.core.pattern.parser with parameters of type FormatInfo
Modifier and Type
Method
Description
`void`
FormattingNode.`setFormatInfo(FormatInfo formatInfo)`